locked
small basic has stopped working... RRS feed

  • Question

  • After downloading v1.1. v1,0 ran.

    deuce336

    Tuesday, September 8, 2015 2:42 AM

Answers

All replies

  • You need to uninstall v1.0 before installing v1.1

    So uninstall both then install v1.1 again.

    Tuesday, September 8, 2015 10:34 PM
  • Done that multiple times... no dice.

    deuce336

    Wednesday, September 9, 2015 12:56 AM
  • Deuce, just checking:

    Don't just delete the files "uninstall" them by using the uninstall feature of Windows. It's located in the control panel.


    • Edited by Jibba j Wednesday, September 9, 2015 1:35 AM
    Wednesday, September 9, 2015 1:16 AM
  • Also v1.1 requires:

    • vista and later, wont run on XP
    • needs .NET 4.5 installed

    V1.0 run .NET 3.5 | v1.1 runs on .NET 4.5


    Wednesday, September 9, 2015 1:24 AM
  • Here's a link that might help:

    http://social.technet.microsoft.com/wiki/contents/articles/30514.aspx

    Also it mentions to delete all the SB files as well as uninstall.

    Wednesday, September 9, 2015 1:30 AM
  • The problem was that sb 1.1 requires .net4.5.  The download is further down on the sb 1.1 download page.  Long installation.  But sb with ld now works just fine... if only I could learn ld :-).  MS should have give a very strong alert.   Thanks for all JJ.

    deuce336

    Wednesday, September 9, 2015 2:14 AM
  • Just saw your profile... WOW! 

    This is approximately what I have been aiming for...  Now gotta learn litdev.

    Thanks again for keeping with me.

    'Entries for listbox
    '
    For n = 1 to 40
      list[n]=n
    endfor

    'Sort the list, add to listbox and hook up event
    'list = LDSort.ByValue(list) 'Optional sort
    listBox = LDControls.AddListBox(list,40,50)
    Shapes.Move(listBox,50,50)
    LDControls.ListBoxItemChanged = OnListBoxItemChanged

    Sub OnListBoxItemChanged
      GraphicsWindow.ShowMessage("Listbox item "+list[LDControls.LastListBoxIndex]+" selected","Information")
    EndSub


    deuce336

    Wednesday, September 9, 2015 4:21 AM
  • MS should have give a very strong alert.

    Good idea. Perhaps on installing SB it could detect .NET version and assist with upgrade or Win settings as well.

    Yay. Glad you're up and running.

    RE Id: check out chapter 5 of the Curriculum

    Other reading:

    Wednesday, September 9, 2015 6:00 AM
  • The problem was that sb 1.1 requires .net4.5.  The download is further down on the sb 1.1 download page.  Long installation.  But sb with ld now works just fine... if only I could learn ld :-).  MS should have give a very strong alert.   Thanks for all JJ.

    deuce336

    I made a pass at improving the instructions from this perspective of downloading the .NET Framework 4.5...

    Microsoft Small Basic 1.1 Release Notes

    Download Microsoft Small Basic

     

    Improvement?

    Thanks!


    Ed Price, Azure & Power BI Customer Program Manager (Blog, Small Basic, Wiki Ninjas, Wiki)

    Answer an interesting question? Create a wiki article about it!

    Friday, September 18, 2015 9:48 PM